Bug 1455722 - certbot-0.18.1 is available
Summary: certbot-0.18.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: certbot
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-26 00:14 UTC by Upstream Release Monitoring
Modified: 2017-09-30 06:24 UTC (History)
7 users (show)

Fixed In Version: certbot-0.18.1-1.el7 certbot-0.18.1-1.fc26 certbot-0.18.1-1.fc25 certbot-0.18.1-1.fc27
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-19 21:20:45 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2017-05-26 00:14:35 UTC
Latest upstream release: 0.14.2
Current version/release in rawhide: 0.14.1-3.fc27
URL: https://pypi.python.org/pypi/certbot

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10690/

Comment 1 Upstream Release Monitoring 2017-05-26 00:14:43 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 2 Upstream Release Monitoring 2017-06-09 00:14:49 UTC
Latest upstream release: 0.15.0
Current version/release in rawhide: 0.14.1-3.fc27
URL: https://pypi.python.org/pypi/certbot

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10690/

Comment 3 Upstream Release Monitoring 2017-06-09 00:14:56 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 4 Eli Young 2017-06-09 19:31:47 UTC
This release also added official plugins for DNS validation with various providers, each of which has been released as a new PyPI package. The list of officially-released DNS plugins is as follows:

certbot-dns-cloudflare
certbot-dns-cloudxns
certbot-dns-digitalocean
certbot-dns-dnsimple
certbot-dns-google
certbot-dns-nsone
certbot-dns-route53

It would be nice if packages could be created for these plugins for Fedora/EPEL. Please let me know if there's anything I can do to help.

Comment 5 Upstream Release Monitoring 2017-07-07 00:13:46 UTC
Latest upstream release: 0.16.0
Current version/release in rawhide: 0.14.1-3.fc27
URL: https://pypi.python.org/pypi/certbot

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10690/

Comment 6 Upstream Release Monitoring 2017-07-07 00:13:53 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 7 Upstream Release Monitoring 2017-09-07 00:13:57 UTC
Latest upstream release: 0.18.0
Current version/release in rawhide: 0.14.1-4.fc27
URL: https://pypi.python.org/pypi/certbot

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10690/

Comment 8 Upstream Release Monitoring 2017-09-07 00:14:04 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 9 Upstream Release Monitoring 2017-09-09 00:14:07 UTC
Latest upstream release: 0.18.1
Current version/release in rawhide: 0.14.1-4.fc27
URL: https://pypi.python.org/pypi/certbot

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10690/

Comment 10 Upstream Release Monitoring 2017-09-09 00:14:15 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 11 Upstream Release Monitoring 2017-09-11 15:24:01 UTC
nb's certbot-0.18.1-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=968978

Comment 12 Fedora Update System 2017-09-11 19:17:41 UTC
python-certbot-apache-0.18.1-1.fc26 certbot-0.18.1-1.fc26 python-acme-0.18.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fff074b788

Comment 13 Fedora Update System 2017-09-11 19:18:05 UTC
certbot-0.18.1-1.fc27 python-acme-0.18.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cf7827abb

Comment 14 Fedora Update System 2017-09-11 20:01:57 UTC
python-certbot-nginx-0.18.1-1.fc25 python-certbot-apache-0.18.1-1.fc25 certbot-0.18.1-1.fc25 python-acme-0.18.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-040768d23e

Comment 15 Fedora Update System 2017-09-11 21:57:16 UTC
certbot-0.18.1-1.fc27, python-acme-0.18.1-1.fc27, python-certbot-apache-0.18.1-1.fc27, python-certbot-nginx-0.18.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cf7827abb

Comment 16 Fedora Update System 2017-09-12 01:24:08 UTC
certbot-0.18.1-1.fc26, python-acme-0.18.1-1.fc26, python-certbot-apache-0.18.1-1.fc26, python-certbot-nginx-0.18.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fff074b788

Comment 17 Fedora Update System 2017-09-12 02:21:37 UTC
certbot-0.18.1-1.fc25, python-acme-0.18.1-1.fc25, python-certbot-apache-0.18.1-1.fc25, python-certbot-nginx-0.18.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-040768d23e

Comment 18 Chris Adams 2017-09-12 20:08:03 UTC
I see the updates for Fedora; is there a plan for updating EPEL?

Comment 19 Nick Bebout 2017-09-14 20:26:03 UTC
Either python-acme or certbot (I forget which) wouldn't build.  I plan to update it when I have more time to figure out what is wrong.

Comment 20 Fedora Update System 2017-09-19 04:22:22 UTC
python-certbot-nginx-0.18.1-1.el7 python-certbot-apache-0.18.1-1.el7 certbot-0.18.1-1.el7 python-acme-0.18.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-023e6bd37e

Comment 21 Fedora Update System 2017-09-19 21:20:45 UTC
certbot-0.18.1-1.el7, python-acme-0.18.1-2.el7, python-certbot-apache-0.18.1-1.el7, python-certbot-nginx-0.18.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-09-19 23:22:53 UTC
certbot-0.18.1-1.fc26, python-acme-0.18.1-1.fc26, python-certbot-apache-0.18.1-1.fc26, python-certbot-nginx-0.18.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-09-20 10:22:57 UTC
certbot-0.18.1-1.fc25, python-acme-0.18.1-1.fc25, python-certbot-apache-0.18.1-1.fc25, python-certbot-nginx-0.18.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-09-30 06:24:10 UTC
certbot-0.18.1-1.fc27, python-acme-0.18.1-1.fc27, python-certbot-apache-0.18.1-1.fc27, python-certbot-nginx-0.18.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.